local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local TECH = GLOBAL.TECH

GLOBAL.STRINGS.NAMES.SHOWCANE = "Show Stopper"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SHOWCANE = ""

PrefabFiles = {
	"blue",
	"green",
	"brown",
	"black",
	"showcane",
}

Assets = {

-- Mr. Blue Eye
    Asset( "IMAGE", "images/saveslot_portraits/blue.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/blue.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/blue.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/blue.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/blue_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/blue_silho.xml" ),

    Asset( "IMAGE", "bigportraits/blue.tex" ),
    Asset( "ATLAS", "bigportraits/blue.xml" ),
	
	Asset( "ATLAS", "images/blueeye.xml" ),
	Asset( "IMAGE", "images/blueeye.tex" ),
	
	-- Mr. Brown Eye
    Asset( "IMAGE", "images/saveslot_portraits/brown.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/brown.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/brown.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/brown.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/brown_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/brown_silho.xml" ),

    Asset( "IMAGE", "bigportraits/brown.tex" ),
    Asset( "ATLAS", "bigportraits/brown.xml" ),
	
	Asset( "ATLAS", "images/browneye.xml" ),
	Asset( "IMAGE", "images/browneye.tex" ),
	
	-- Mr. Green Eye
    Asset( "IMAGE", "images/saveslot_portraits/green.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/green.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/green.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/green.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/green_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/green_silho.xml" ),

    Asset( "IMAGE", "bigportraits/green.tex" ),
    Asset( "ATLAS", "bigportraits/green.xml" ),
	
	Asset( "ATLAS", "images/greeneye.xml" ),
	Asset( "IMAGE", "images/greeneye.tex" ),
	
	-- Mr. Skull
    Asset( "IMAGE", "images/saveslot_portraits/black.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/black.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/black.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/black.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/black_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/black_silho.xml" ),

    Asset( "IMAGE", "bigportraits/black.tex" ),
    Asset( "ATLAS", "bigportraits/black.xml" ),
	
	Asset( "ATLAS", "images/skull.xml" ),
	Asset( "IMAGE", "images/skull.tex" ),

}

AddMinimapAtlas("images/blueeye.xml")
AddMinimapAtlas("images/browneye.xml")
AddMinimapAtlas("images/greeneye.xml")
AddMinimapAtlas("images/skull.xml")

-- strings! Any "WOD" below would have to be replaced by the prefab name of your character.

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name


-- Let the game know Wod is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "blue")
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "brown")
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "black")
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "green")


AddModCharacter("blue")
AddModCharacter("black")
AddModCharacter("brown")
AddModCharacter("green")
